redfishpower(8)

NAME
redfishpower - communicate with redfish service processors in parallel

SYNOPSIS
redfishpower <--hostname hostname(s) | --hostsfile file> [OPTIONS]

DESCRIPTION
redfishpower is a helper program for powerman which enables it to communicate with redfish service processors in parallel. It is run interactively by the powerman daemon.

OPTIONS

-h, --hostname hostname(s)
    Set legal hostnames that redfishpower can communicate with. Host ranges are acceptable. Note that the maximum number of hosts that can be set simultaneously is limited by the file descriptor limit of the select(2) system call.

-f, --hostsfile file
    Alternate option to --hostname, specify a file with all hosts. File shall have one host or hostrange listed per line.

-H, --header string
    Set extra HEADER to use.

-S, --statpath string
    Set Redfish path for obtaining power status. Typically is redfish/v1/Systems/1.

-O, --onpath string
    Set Redfish path for performing power on. Typically is redfish/v1/Systems/1/Actions/ComputerSystem.Reset.

-F, --offpath string
    Set Redfish path for performing power off. Typically is redfish/v1/Systems/1/Actions/ComputerSystem.Reset.

-C, --cyclepath string
    Set Redfish path for performing power cycle. Typically is redfish/v1/Systems/1/Actions/ComputerSystem.Reset.

-P, --onpostdata string
    Set Redfish postdata for performing power on. Typically is {"ResetType":"On"}

-G, --offpostdata string
    Set Redfish postdata for performing power off. Typically is {"ResetType":"ForceOff"}

-D, --cyclepostdata string
    Set Redfish postdata for performing power cycle. Typically is {"ResetType":"ForceRestart"}

-v, --verbose
    Increase output verbosity.

INTERACTIVE COMMANDS
The following commands are accepted at the redfishpower> prompt:

auth user:pass
    Authenticate to the base URL with specified user and password, using ``basic'' HTTP authentication which sends the user and password over the network in plain text.

setheader [string data]
    Set extra HEADER to use. Do not specify data to clear.

setstatpath <path>
    Set path to obtain power status.

setonpath <path> [data]
    Set path and optional post data to turn on node.

setoffpath <path> [data]
    Set path and optional post data to turn off node.

setcyclepath <path> [data]
    Set path and optional post data to turn cycle node.

stat [nodes]
    Get power status of all nodes or specified subset of nodes.

on [nodes]
    Turn on all nodes or specified subset of nodes. Will return "ok" after confirmation "on" has completed.

off [nodes]
    Turn off all nodes or specified subset of nodes. Will return "ok" after confirmation "off" has completed.

cycle [nodes]
    Turn off all nodes or specified subset of nodes.

FILES
/usr/sbin/redfishpower
/etc/powerman/powerman.conf

ORIGIN
PowerMan was originally developed by Andrew Uselton on LLNL's Linux clusters. This software is open source and distributed under the terms of the GNU GPL.

SEE ALSO
powerman(1), powermand(8), plmpower(8), vpcd(8), powerman.conf(5), powerman.dev(5).

http://github.com/chaos/powerman